--- old/usr/src/uts/common/sys/sdt.h	2012-08-08 12:42:24.055069930 +0000
+++ new/usr/src/uts/common/sys/sdt.h	2012-08-08 12:42:24.071485485 +0000
@@ -329,6 +329,33 @@
 	DTRACE_PROBE5(__udp_##name, type1, arg1, type2, arg2,		\
 	    type3, arg3, type4, arg4, type5, arg5);
 
+#define	DTRACE_DCCP(name)						\
+	DTRACE_PROBE(__dccp_##name);
+
+#define	DTRACE_DCCP1(name, type1, arg1)					\
+	DTRACE_PROBE1(__dccp_##name, type1, arg1);
+
+#define	DTRACE_DCCP2(name, type1, arg1, type2, arg2)			\
+	DTRACE_PROBE2(__dccp_##name, type1, arg1, type2, arg2);
+
+#define	DTRACE_DCCP3(name, type1, arg1, type2, arg2, type3, arg3)	\
+	DTRACE_PROBE3(__dccp_##name, type1, arg1, type2, arg2, type3, arg3);
+
+#define	DTRACE_DCCP4(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4)						\
+	DTRACE_PROBE4(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4);
+
+#define	DTRACE_DCCP5(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5)				\
+	DTRACE_PROBE5(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5);
+
+#define	DTRACE_DCCP6(name, type1, arg1, type2, arg2,			\
+    type3, arg3, type4, arg4, type5, arg5, type6, arg6)			\
+	DTRACE_PROBE6(__dccp_##name, type1, arg1, type2, arg2,		\
+	    type3, arg3, type4, arg4, type5, arg5, type6, arg6);
+
 
 #define	DTRACE_SYSEVENT2(name, type1, arg1, type2, arg2)		\
 	DTRACE_PROBE2(__sysevent_##name, type1, arg1, type2, arg2);
